Bug 184492 - new release(6.1) is out
new release(6.1) is out
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dvd+rw-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
http://fy.chalmers.se/~appro/linux/DV...
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-09 04:29 EST by acount closed by user
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-08 18:21:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2006-03-09 04:29:51 EST
Please, update to latest release from 
http://fy.chalmers.se/~appro/linux/DVD+RW/tools/

Lots of fixes and new features included.


-thanks-
Comment 1 acount closed by user 2006-04-04 11:09:40 EDT
any trouble with 6.1 release ?


changelog:

 * 6.0:
 * - fix for DVD+R recordings in Samsung TS-H542A;
 * - DVD-R Dual Layer DAO and Incremental support;
 * - versioning harmonization;
 * - multi-threaded(*) design;
 *   *)	apparently strace-ing NPTL processes can disrupt synchroni-
 *	zation between threads and cause a deadlock condition. If
 *	you ought to strace growisofs, make sure it's started with
 *	LD_ASSUME_KERNEL environment variable set to 2.4.
 * - asynchronous ring buffer implementation;
 * - Win32/Mingw32 port [for platform-specific notes see
 *   http://fy.chalmers.se/~appro/linux/DVD+RW/tools/win32/];
 * - refine Pioneer strategies;
 * - WRITE procedure to recognize "IN PROCESS OF BECOMING READY"
 *   [observed on newer Lite-On 1693S firmware and NEC];
 * - allow for more intuitive interpretation of -speed factor with
 *   units returning minimal velocity other than 1x;
 * - -use-the-force-luke=noopc to skip OPC altogether;
 * - implement 50% check for DVD-R DL;
 * - demote failure to change speed to warning;
 *
 * 6.1:
 * - FreeBSD: improve backward binary compatibility;
 * - Linux: default rlimit for locked pages is way too small [note
 *   that in order to allocate ring buffer larger than default 32MB
 *   through command line option, you have to increase memorylocked
 *   limit accordingly prior application start];
 * - make -use-the-force-luke=noload, which leaves tray open, work;
 * - DEFAULT_BUF_SIZE_MB is a macro, which can be redefined at
 *   compile time with 'make WARN=-DDEFAULT_BUF_SIZE_MB=[16|64]' to
 *   change the default ring buffer size;
 * - ± localization;
 * - Linux: utilize O_EXCL flag [but do see commentary below!];
 * - Treat only x73xx OPC errors as fatal;
 * - Fix typo in -speed scaling code;
 * - permit tracksize to be not divisible by 32KB in DAO mode;

-thanks-
Comment 2 Harald Hoyer 2006-04-04 12:18:47 EDT
problems: bug 187272 and bug 187275
Comment 4 acount closed by user 2006-04-20 17:34:21 EDT
ERROR:

System
-----------------------
K3b Version: 0.12.14

KDE Version: 3.5.2-0.1.fc5 Red Hat
QT Version:  3.3.5
Kernel:      2.6.16-1.2096_FC5
Devices
-----------------------
_NEC DVD_RW ND-3520AW 3.07 (/dev/hdc, ) at  [CD-R; CD-RW; CD-ROM; DVD-ROM;
DVD-R; DVD-RW; DVD-R DL; DVD+R; DVD+RW; DVD+R DL] [DVD-ROM; DVD-R Sequential;
DVD-R Dual Layer Sequential; DVD-RW Restricted Overwrite; DVD-RW Sequential;
DVD+RW; DVD+R; DVD+R Double Layer; CD-ROM; CD-R; CD-RW] [SAO; TAO; RAW;
SAO/R96P; SAO/R96R; RAW/R16; RAW/R96P; RAW/R96R; Restricted Overwrite]

JLMS XJ-HD163 GH5Y (/dev/hda, ) at  [CD-ROM; DVD-ROM] [DVD-ROM; CD-ROM] [None]
Used versions
-----------------------
growisofs: 6.1

growisofs
-----------------------
:-( unable to anonymously mmap 33554432: Resource temporarily unavailable

growisofs command:
-----------------------
/usr/bin/growisofs -Z /dev/hdc=/dev/fd/0 -use-the-force-luke=notray
-use-the-force-luke=tty -use-the-force-luke=tracksize:1588720 -dvd-compat
-speed=4 -use-the-force-luke=bufsize:32m

=================================end======================================

to avoid this error I have to do "# ulimit -l unlimited" and then it works OK.

System
-----------------------
K3b Version: 0.12.14

KDE Version: 3.5.2-0.1.fc5 Red Hat
QT Version:  3.3.5
Kernel:      2.6.16-1.2096_FC5
Devices
-----------------------
_NEC DVD_RW ND-3520AW 3.07 (/dev/hdc, ) at  [CD-R; CD-RW; CD-ROM; DVD-ROM;
DVD-R; DVD-RW; DVD-R DL; DVD+R; DVD+RW; DVD+R DL] [DVD-ROM; DVD-R Sequential;
DVD-R Dual Layer Sequential; DVD-RW Restricted Overwrite; DVD-RW Sequential;
DVD+RW; DVD+R; DVD+R Double Layer; CD-ROM; CD-R; CD-RW] [SAO; TAO; RAW;
SAO/R96P; SAO/R96R; RAW/R16; RAW/R96P; RAW/R96R; Restricted Overwrite]

JLMS XJ-HD163 GH5Y (/dev/hda, ) at  [CD-ROM; DVD-ROM] [DVD-ROM; CD-ROM] [None]
Used versions
-----------------------
growisofs: 6.1

growisofs
-----------------------
Executing 'builtin_dd if=/dev/fd/0 of=/dev/hdc obs=32k seek=0'
/dev/hdc: restarting DVD+RW format...
/dev/hdc: "Current Write Speed" is 4.1x1385KBps.
         0/3253698560 ( 0.0%) @0x, remaining ??:?? RBU 100.0%
         0/3253698560 ( 0.0%) @0x, remaining ??:?? RBU 100.0%
         0/3253698560 ( 0.0%) @0x, remaining ??:?? RBU 100.0%
         0/3253698560 ( 0.0%) @0x, remaining ??:?? RBU 100.0%
  13991936/3253698560 ( 0.4%) @3.0x, remaining 65:36 RBU 95.9%
  33128448/3253698560 ( 1.0%) @4.0x, remaining 34:01 RBU 89.6%
  52297728/3253698560 ( 1.6%) @4.1x, remaining 24:29 RBU 83.3%
  71434240/3253698560 ( 2.2%) @4.0x, remaining 20:02 RBU 78.1%
  90570752/3253698560 ( 2.8%) @4.0x, remaining 18:02 RBU 73.0%
 109740032/3253698560 ( 3.4%) @4.1x, remaining 16:14 RBU 68.2%
 128876544/3253698560 ( 4.0%) @4.0x, remaining 14:57 RBU 63.9%
 148013056/3253698560 ( 4.5%) @4.0x, remaining 14:20 RBU 60.3%
 167182336/3253698560 ( 5.1%) @4.1x, remaining 13:32 RBU 56.9%
 186318848/3253698560 ( 5.7%) @4.0x, remaining 12:53 RBU 53.8%
 205455360/3253698560 ( 6.3%) @4.0x, remaining 12:36 RBU 51.4%
 224624640/3253698560 ( 6.9%) @4.1x, remaining 12:08 RBU 49.2%
 243761152/3253698560 ( 7.5%) @4.0x, remaining 11:43 RBU 47.6%
 262897664/3253698560 ( 8.1%) @4.0x, remaining 11:33 RBU 46.3%
 282066944/3253698560 ( 8.7%) @4.1x, remaining 11:14 RBU 45.3%
 301203456/3253698560 ( 9.3%) @4.0x, remaining 10:56 RBU 44.7%
 320339968/3253698560 ( 9.8%) @4.0x, remaining 10:50 RBU 45.0%
 339509248/3253698560 (10.4%) @4.1x, remaining 10:35 RBU 45.2%
 358645760/3253698560 (11.0%) @4.0x, remaining 10:21 RBU 46.2%
 377782272/3253698560 (11.6%) @4.0x, remaining 10:16 RBU 47.3%
 396951552/3253698560 (12.2%) @4.1x, remaining 10:04 RBU 48.9%
 416088064/3253698560 (12.8%) @4.0x, remaining 9:53 RBU 51.2%
 435224576/3253698560 (13.4%) @4.0x, remaining 9:49 RBU 53.7%
 454393856/3253698560 (14.0%) @4.1x, remaining 9:39 RBU 56.5%
 473530368/3253698560 (14.6%) @4.0x, remaining 9:29 RBU 59.9%
 492666880/3253698560 (15.1%) @4.0x, remaining 9:26 RBU 64.0%
 511836160/3253698560 (15.7%) @4.1x, remaining 9:17 RBU 68.1%
 530972672/3253698560 (16.3%) @4.0x, remaining 9:08 RBU 72.6%
 550109184/3253698560 (16.9%) @4.0x, remaining 9:05 RBU 77.7%
 569278464/3253698560 (17.5%) @4.1x, remaining 8:57 RBU 82.9%
 588414976/3253698560 (18.1%) @4.0x, remaining 8:49 RBU 89.0%
 607551488/3253698560 (18.7%) @4.0x, remaining 8:47 RBU 95.4%
 626720768/3253698560 (19.3%) @4.1x, remaining 8:39 RBU 100.0%
 645857280/3253698560 (19.8%) @4.0x, remaining 8:32 RBU 100.0%
 665026560/3253698560 (20.4%) @4.1x, remaining 8:29 RBU 100.0%
 684163072/3253698560 (21.0%) @4.0x, remaining 8:23 RBU 100.0%
 703299584/3253698560 (21.6%) @4.0x, remaining 8:16 RBU 100.0%
 722468864/3253698560 (22.2%) @4.1x, remaining 8:14 RBU 100.0%
 741605376/3253698560 (22.8%) @4.0x, remaining 8:07 RBU 100.0%
 760741888/3253698560 (23.4%) @4.0x, remaining 8:01 RBU 100.0%
 779911168/3253698560 (24.0%) @4.1x, remaining 7:58 RBU 100.0%
 799047680/3253698560 (24.6%) @4.0x, remaining 7:53 RBU 100.0%
 818184192/3253698560 (25.1%) @4.0x, remaining 7:47 RBU 100.0%
 837353472/3253698560 (25.7%) @4.1x, remaining 7:44 RBU 100.0%
 856489984/3253698560 (26.3%) @4.0x, remaining 7:39 RBU 100.0%
 875626496/3253698560 (26.9%) @4.0x, remaining 7:33 RBU 100.0%
 894795776/3253698560 (27.5%) @4.1x, remaining 7:30 RBU 100.0%
 913932288/3253698560 (28.1%) @4.0x, remaining 7:25 RBU 100.0%
 933068800/3253698560 (28.7%) @4.0x, remaining 7:20 RBU 100.0%
 952238080/3253698560 (29.3%) @4.1x, remaining 7:17 RBU 100.0%
 971374592/3253698560 (29.9%) @4.0x, remaining 7:12 RBU 100.0%
 990511104/3253698560 (30.4%) @4.0x, remaining 7:07 RBU 100.0%
1009680384/3253698560 (31.0%) @4.1x, remaining 7:04 RBU 100.0%
1028816896/3253698560 (31.6%) @4.0x, remaining 6:59 RBU 100.0%
1047986176/3253698560 (32.2%) @4.1x, remaining 6:54 RBU 100.0%
1067122688/3253698560 (32.8%) @4.0x, remaining 6:51 RBU 100.0%
1086259200/3253698560 (33.4%) @4.0x, remaining 6:47 RBU 100.0%
1105428480/3253698560 (34.0%) @4.1x, remaining 6:42 RBU 100.0%
1124564992/3253698560 (34.6%) @4.0x, remaining 6:39 RBU 100.0%
1143701504/3253698560 (35.2%) @4.0x, remaining 6:34 RBU 100.0%
1162870784/3253698560 (35.7%) @4.1x, remaining 6:30 RBU 100.0%
1182007296/3253698560 (36.3%) @4.0x, remaining 6:27 RBU 100.0%
1201143808/3253698560 (36.9%) @4.0x, remaining 6:22 RBU 100.0%
1220313088/3253698560 (37.5%) @4.1x, remaining 6:18 RBU 100.0%
1239449600/3253698560 (38.1%) @4.0x, remaining 6:15 RBU 100.0%
1258586112/3253698560 (38.7%) @4.0x, remaining 6:10 RBU 100.0%
1277755392/3253698560 (39.3%) @4.1x, remaining 6:06 RBU 100.0%
1296891904/3253698560 (39.9%) @4.0x, remaining 6:03 RBU 100.0%
1316028416/3253698560 (40.4%) @4.0x, remaining 5:59 RBU 100.0%
1335197696/3253698560 (41.0%) @4.1x, remaining 5:56 RBU 100.0%
1354334208/3253698560 (41.6%) @4.0x, remaining 5:52 RBU 100.0%
1373470720/3253698560 (42.2%) @4.0x, remaining 5:47 RBU 100.0%
1392640000/3253698560 (42.8%) @4.1x, remaining 5:44 RBU 100.0%
1411776512/3253698560 (43.4%) @4.0x, remaining 5:40 RBU 100.0%
1430945792/3253698560 (44.0%) @4.1x, remaining 5:36 RBU 100.0%
1450082304/3253698560 (44.6%) @4.0x, remaining 5:33 RBU 100.0%
1469218816/3253698560 (45.2%) @4.0x, remaining 5:29 RBU 100.0%
1488388096/3253698560 (45.7%) @4.1x, remaining 5:24 RBU 100.0%
1507524608/3253698560 (46.3%) @4.0x, remaining 5:22 RBU 100.0%
1526661120/3253698560 (46.9%) @4.0x, remaining 5:17 RBU 100.0%
1545830400/3253698560 (47.5%) @4.1x, remaining 5:13 RBU 100.0%
1564966912/3253698560 (48.1%) @4.0x, remaining 5:10 RBU 100.0%
1584103424/3253698560 (48.7%) @4.0x, remaining 5:06 RBU 100.0%
1603272704/3253698560 (49.3%) @4.1x, remaining 5:02 RBU 100.0%
1622409216/3253698560 (49.9%) @4.0x, remaining 4:59 RBU 100.0%
1641545728/3253698560 (50.5%) @4.0x, remaining 4:55 RBU 100.0%
1660715008/3253698560 (51.0%) @4.1x, remaining 4:51 RBU 100.0%
1679851520/3253698560 (51.6%) @4.0x, remaining 4:48 RBU 100.0%
1698988032/3253698560 (52.2%) @4.0x, remaining 4:44 RBU 100.1%
1718157312/3253698560 (52.8%) @4.1x, remaining 4:40 RBU 100.0%
1737293824/3253698560 (53.4%) @4.0x, remaining 4:37 RBU 100.0%
1756463104/3253698560 (54.0%) @4.1x, remaining 4:33 RBU 100.0%
1775599616/3253698560 (54.6%) @4.0x, remaining 4:29 RBU 100.0%
1794736128/3253698560 (55.2%) @4.0x, remaining 4:26 RBU 100.0%
1813905408/3253698560 (55.7%) @4.1x, remaining 4:22 RBU 100.0%
1833041920/3253698560 (56.3%) @4.0x, remaining 4:18 RBU 100.0%
1852178432/3253698560 (56.9%) @4.0x, remaining 4:15 RBU 100.0%
1871347712/3253698560 (57.5%) @4.1x, remaining 4:11 RBU 100.0%
1890484224/3253698560 (58.1%) @4.0x, remaining 4:08 RBU 100.0%
1909620736/3253698560 (58.7%) @4.0x, remaining 4:04 RBU 100.0%
1928790016/3253698560 (59.3%) @4.1x, remaining 4:01 RBU 100.0%
1947926528/3253698560 (59.9%) @4.0x, remaining 3:57 RBU 100.0%
1967063040/3253698560 (60.5%) @4.0x, remaining 3:54 RBU 100.0%
1986232320/3253698560 (61.0%) @4.1x, remaining 3:50 RBU 99.8%
2005368832/3253698560 (61.6%) @4.0x, remaining 3:46 RBU 100.0%
2024538112/3253698560 (62.2%) @4.1x, remaining 3:43 RBU 100.0%
2043674624/3253698560 (62.8%) @4.0x, remaining 3:39 RBU 100.0%
2062811136/3253698560 (63.4%) @4.0x, remaining 3:35 RBU 100.0%
2081980416/3253698560 (64.0%) @4.1x, remaining 3:32 RBU 100.0%
2101116928/3253698560 (64.6%) @4.0x, remaining 3:29 RBU 100.0%
2120253440/3253698560 (65.2%) @4.0x, remaining 3:25 RBU 100.0%
2139422720/3253698560 (65.8%) @4.1x, remaining 3:22 RBU 100.0%
2158559232/3253698560 (66.3%) @4.0x, remaining 3:18 RBU 100.0%
2177695744/3253698560 (66.9%) @4.0x, remaining 3:14 RBU 100.0%
2196865024/3253698560 (67.5%) @4.1x, remaining 3:11 RBU 100.0%
2216001536/3253698560 (68.1%) @4.0x, remaining 3:07 RBU 100.0%
2235138048/3253698560 (68.7%) @4.0x, remaining 3:04 RBU 100.0%
2254307328/3253698560 (69.3%) @4.1x, remaining 3:00 RBU 100.0%
2273443840/3253698560 (69.9%) @4.0x, remaining 2:57 RBU 100.0%
2292613120/3253698560 (70.5%) @4.1x, remaining 2:53 RBU 100.0%
2311749632/3253698560 (71.0%) @4.0x, remaining 2:50 RBU 100.0%
2330886144/3253698560 (71.6%) @4.0x, remaining 2:46 RBU 100.0%
2350055424/3253698560 (72.2%) @4.1x, remaining 2:43 RBU 100.0%
2369191936/3253698560 (72.8%) @4.0x, remaining 2:39 RBU 100.0%
2388328448/3253698560 (73.4%) @4.0x, remaining 2:36 RBU 100.0%
2407497728/3253698560 (74.0%) @4.1x, remaining 2:32 RBU 100.0%
2426634240/3253698560 (74.6%) @4.0x, remaining 2:29 RBU 100.0%
2445770752/3253698560 (75.2%) @4.0x, remaining 2:25 RBU 100.0%
2464940032/3253698560 (75.8%) @4.1x, remaining 2:22 RBU 100.0%
2484076544/3253698560 (76.3%) @4.0x, remaining 2:18 RBU 100.0%
2503213056/3253698560 (76.9%) @4.0x, remaining 2:15 RBU 100.0%
2522382336/3253698560 (77.5%) @4.1x, remaining 2:11 RBU 100.0%
2541518848/3253698560 (78.1%) @4.0x, remaining 2:08 RBU 100.0%
2560655360/3253698560 (78.7%) @4.0x, remaining 2:04 RBU 100.1%
2579824640/3253698560 (79.3%) @4.1x, remaining 2:01 RBU 100.0%
2598961152/3253698560 (79.9%) @4.0x, remaining 1:57 RBU 100.0%
2618130432/3253698560 (80.5%) @4.1x, remaining 1:54 RBU 100.0%
2637266944/3253698560 (81.1%) @4.0x, remaining 1:50 RBU 100.0%
2656403456/3253698560 (81.6%) @4.0x, remaining 1:47 RBU 100.0%
2675572736/3253698560 (82.2%) @4.1x, remaining 1:43 RBU 100.0%
2694709248/3253698560 (82.8%) @4.0x, remaining 1:40 RBU 100.0%
2713845760/3253698560 (83.4%) @4.0x, remaining 1:37 RBU 100.0%
2733015040/3253698560 (84.0%) @4.1x, remaining 1:33 RBU 100.0%
2752151552/3253698560 (84.6%) @4.0x, remaining 1:30 RBU 100.0%
2771288064/3253698560 (85.2%) @4.0x, remaining 1:26 RBU 98.8%
2790457344/3253698560 (85.8%) @4.1x, remaining 1:23 RBU 98.6%
2809593856/3253698560 (86.4%) @4.0x, remaining 1:19 RBU 98.1%
2828763136/3253698560 (86.9%) @4.1x, remaining 1:16 RBU 100.0%
2847899648/3253698560 (87.5%) @4.0x, remaining 1:12 RBU 100.0%
2867036160/3253698560 (88.1%) @4.0x, remaining 1:09 RBU 100.0%
2886205440/3253698560 (88.7%) @4.1x, remaining 1:05 RBU 100.0%
2905341952/3253698560 (89.3%) @4.0x, remaining 1:02 RBU 100.0%
2924478464/3253698560 (89.9%) @4.0x, remaining 0:58 RBU 100.0%
2943647744/3253698560 (90.5%) @4.1x, remaining 0:55 RBU 100.0%
2962784256/3253698560 (91.1%) @4.0x, remaining 0:52 RBU 99.9%
2981920768/3253698560 (91.6%) @4.0x, remaining 0:48 RBU 100.0%
3001090048/3253698560 (92.2%) @4.1x, remaining 0:45 RBU 100.0%
3020226560/3253698560 (92.8%) @4.0x, remaining 0:41 RBU 100.0%
3039395840/3253698560 (93.4%) @4.1x, remaining 0:38 RBU 100.0%
3058532352/3253698560 (94.0%) @4.0x, remaining 0:34 RBU 100.0%
3077668864/3253698560 (94.6%) @4.0x, remaining 0:31 RBU 100.0%
3096838144/3253698560 (95.2%) @4.1x, remaining 0:28 RBU 100.0%
3115974656/3253698560 (95.8%) @4.0x, remaining 0:24 RBU 100.0%
3135111168/3253698560 (96.4%) @4.0x, remaining 0:21 RBU 100.0%
3154280448/3253698560 (96.9%) @4.1x, remaining 0:17 RBU 100.0%
3173416960/3253698560 (97.5%) @4.0x, remaining 0:14 RBU 100.0%
3192553472/3253698560 (98.1%) @4.0x, remaining 0:10 RBU 100.0%
3211722752/3253698560 (98.7%) @4.1x, remaining 0:07 RBU 100.0%
3230859264/3253698560 (99.3%) @4.0x, remaining 0:04 RBU 68.1%
3250028544/3253698560 (99.9%) @4.1x, remaining 0:00 RBU 10.9%
/dev/hdc: flushing cache
/dev/hdc: writing lead-out

growisofs command:
-----------------------
/usr/bin/growisofs -Z /dev/hdc=/dev/fd/0 -use-the-force-luke=notray
-use-the-force-luke=tty -use-the-force-luke=tracksize:1588720 -dvd-compat
-speed=4 -use-the-force-luke=bufsize:32m

Note You need to log in before you can comment on or make changes to this bug.